Album: Infinite Cataclysm
Artists:
- LudicrousFalcon
Date: December 31, 2023
Date Added: January 29, 2025
URLs:
- https://ludicrousfalcon.bandcamp.com/track/infinite-cataclysm
- https://www.youtube.com/watch?v=elDcDjFMzwU
Cover Artists:
- LudicrousFalcon
Cover Art File Extension: png
Color: '#b2b2b2'
Groups:
- Fandom
Commentary: |-
   <i>LudicrousFalcon:</i> ([Bandcamp about blurb](https://ludicrousfalcon.bandcamp.com/track/infinite-cataclysm), excerpt)

   This is a Homestuck fan music track that will be appearing on my next fan-album "Friends Beyond The Ring".

   <i>LudicrousFalcon:</i> ([Bandcamp credits blurb](https://ludicrousfalcon.bandcamp.com/track/infinite-cataclysm))

   Composer and Mixer - LudicrousFalcon<br>
   Album Art: LudicrousFalcon & [Homestuck.com](https://www.homestuck.com)<br>
   Tracks composed & mixed in Soundtrap<br>
   Album art sourced from the webcomic "Homestuck" pages [19](https://www.homestuck.com/story/19), [1487](https://www.homestuck.com/story/1487) and [4000](https://www.homestuck.com/story/4000), and distorted using [paint.net](https://getpaint.net)<br>
   Additional album images sourced and drawn by LudicrousFalcon, distorted with paint.net<br>
   [additional image source](https://www.deviantart.com/falconhawk5/art/Smooch-988462982)<br>

   Track references [[track:crystamanthequins|"Crystamanthequins"]] by [[artist:erik-scheele|Erik "Jit" Scheele]], from [[album:homestuck-vol-5|Homestuck Volume 5]]

   Track references [[track:doctor|"Doctor"]] by [[artist:buzinkai]], [[artist:michael-vallejo]] and [[artist:clark-powell|Clark "Plazmataz" Powell]], from [[album:homestuck-vol-4|Homestuck Volume 4]]

   Track references [[track:sburban-jungle|"Sburban Jungle"]] by By [[artist:michael-guy-bowman]] from [[album:homestuck-vol-4|Homestuck Volume 4]]
---
Track: Infinite Cataclysm
Duration: 6:21
URLs:
- https://ludicrousfalcon.bandcamp.com/track/infinite-cataclysm
- https://www.youtube.com/watch?v=elDcDjFMzwU
Referenced Tracks:
- Crystamanthequins
- track:doctor
- track:sburban-jungle
